Package groovy.time

# Class BaseDuration

java.lang.Object
groovy.time.BaseDuration

All Implemented Interfaces:
  `Comparable<BaseDuration>`

Direct Known Subclasses:
  `DatumDependentDuration`, `Duration`

public abstract class BaseDuration extends Object implements Comparable<BaseDuration>
Base class for date and time durations.

Author:
  John Wilson tug@wilson.co.uk
See Also:
  - `Duration`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BaseDuration.From`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`days`
`protected final int`
`hours`
`protected final int`
`millis`
`protected final int`
`minutes`
`protected final int`
`months`
`protected final int`
`seconds`
`protected final int`
`years`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseDuration(int days, int hours, int minutes, int seconds, int millis)`
`protected`
`BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(BaseDuration otherDuration)`
`abstract Date`
`getAgo()`
`int`
`getDays()`
`abstract BaseDuration.From`
`getFrom()`
`int`
`getHours()`
`int`
`getMillis()`
`int`
`getMinutes()`
`int`
`getMonths()`
`int`
`getSeconds()`
`int`
`getYears()`
`Date`
`plus(Date date)`
`abstract long`
`toMilliseconds()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### years

protected final int years

### months

protected final int months

### days

protected final int days

### hours

protected final int hours

### minutes

protected final int minutes

### seconds

protected final int seconds

### millis

protected final int millis

## Constructor Details

### BaseDuration

protected BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

### BaseDuration

protected BaseDuration(int days, int hours, int minutes, int seconds, int millis)

## Method Details

### getYears

public int getYears()

### getMonths

public int getMonths()

### getDays

public int getDays()

### getHours

public int getHours()

### getMinutes

public int getMinutes()

### getSeconds

public int getSeconds()

### getMillis

public int getMillis()

### plus

public Date plus(Date date)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toMilliseconds

public abstract long toMilliseconds()

### getAgo

public abstract Date getAgo()

### getFrom

public abstract BaseDuration.From getFrom()

### compareTo

public int compareTo(BaseDuration otherDuration)

Specified by:
  `compareTo` in interface `Comparable<BaseDuration>`